Filewatcher File Search File Search
Catalog
Content Search
» » » » » python-gtkspell_2.25.3-12_s390x.deb » Content »
pkg://python-gtkspell_2.25.3-12_s390x.deb:35588/usr/share/doc/python-gtkspell/  info  control  downloads

python-gtkspell - Python bindings for the GtkSpell library…  more info»

changelog.Debian.gz

gnome-python-extras (2.25.3-12) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * Drop obsolete python-gksu2 package since there are no more reverse
    dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 05 Jun 2012 00:52:50 +0200

gnome-python-extras (2.25.3-11) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/rules: Drop .la files

  [ Michael Biebl ]
  * Drop python-gdl package. There are no reverse dependencies left and gdl
    provides a gir package now.
  * Drop python-gda package. There are no reverse dependencies left and gda
    provides a gir package now.
  * Remove obsolete patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2011 01:45:28 +0200

gnome-python-extras (2.25.3-10) unstable; urgency=low

  * Disable gtkmozembed module.
  * Drop xulrunner build-dependency.
  * 01_xul19.patch: removed as well.

 -- Josselin Mouette <joss@debian.org>  Tue, 24 May 2011 22:09:53 +0200

gnome-python-extras (2.25.3-9) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop incorrect ${python:Provides}.

  [ Laurent Bigonville ]
  * debian/python-eggtrayicon.install: Install missing __init__.py file
    (Closes: #625604)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 May 2011 20:26:27 +0200

gnome-python-extras (2.25.3-8) unstable; urgency=low

  * Use dh_python2 instead of pysupport
  * debian/control.in:
    - Bump debhelper and cdbs build-dependencies
    - Add dh-autoreconf as build-dependency
    - Bump python-all-dev build-dependency
    - Drop versionized version of dpkg-dev
    - Drop Conflicts/Replaces for packages that existed before lenny
    - Use Breaks instead of Conflicts
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Add Vcs-* fields
    - Fix Description to please lintian
  * debian/rules:
    - Drop DEB_PYTHON_SYSTEM
    - Add include autoreconf.mk (Closes: #558558) 
    - Call dh_python2 for python-gnome2-extras-dev package
  * Drop debian/patches/70_autotools.patch
  * Drop debian/pyversions

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Apr 2011 13:09:35 +0200

gnome-python-extras (2.25.3-7) unstable; urgency=low

  * Patch from Micah Gersten to add missing dependency on xulrunner.
    Closes: #609189.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Jan 2011 19:38:45 +0100

gnome-python-extras (2.25.3-6) unstable; urgency=low

  * 06_gda_libpython.patch: don’t link the gda module with libpython.
  * 70_autotools.patch: updated accordingly.

 -- Josselin Mouette <joss@debian.org>  Mon, 27 Sep 2010 09:24:41 +0200

gnome-python-extras (2.25.3-5) unstable; urgency=low

  * ACK NMU, thanks Mike Hommey!
  * debian/control.in,
    debian/rules:
    - Convert to CDBS with python-autotools.mk.
  * debian/control.in,
    debian/rules,
    debian/source/format:
    - Convert from plain quilt to source format 3.0 (quilt).
  * debian/patches/01_xul19.patch:
    - Delete gtkmozembed/gtkmozembedmodule.c here.
  * debian/patches/03_doc-build.patch,
    debian/patches/05_gdl_2.28_more.patch:
    - Add headers.
  * debian/patches/10_python_m4.patch:
    - New patch, use Python's sys.prefix to look for libpython,
      rather than looking at $PYTHON's dirname (which may not be
      an absolute path).
  * debian/*.install:
    - Install files from debian/tmp.
    - Install modules for Python 2.6 too.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
  * debian/patches/01_xul19.patch:
    - Integrate changes from Ubuntu by Chris Coulson:
      + Call AC_PROG_CXX, needed for AC_LANG_PUSH(C++).
      + Ensure that the 1.9.2 GRE is loaded and also make sure that
        it works correctly by calling gtk_moz_embed_push_startup when
        the module is loaded.
  * debian/python-gtkhtml2.install,
    debian/python-gtkhtml2.examples,
    debian/control.in:
    - Remove python-gtkhtml2. We're removing gtkhtml2 from the archive.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 21 May 2010 17:00:50 +0200

gnome-python-extras (2.25.3-4.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548676)
  * debian/rules: Use dh_xulrunner.
  * debian/control, debian/control.in:
    - Build-depend on a xulrunner-dev that provides dh_xulrunner.
    - Let dh_xulrunner fill shlibs:Depends with the proper xulrunner
      dependency.
  * debian/patches/01_xul19.patch: Tighten the GREVersionRange.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 11:51:32 +0200

gnome-python-extras (2.25.3-4) unstable; urgency=low

  * 04_gdl_2.28.patch: stolen from upstream. Port to GDL 2.28.
    Closes: #549748.
  * 70_autotools.patch: regenerated.
  * Update build-dependencies accordingly.
  * 05_gdl_2.28_more.patch: remove a pair of symbols that were forgotten 
    upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 06 Oct 2009 13:02:06 +0200

gnome-python-extras (2.25.3-3) unstable; urgency=low

  * Re-instate gda bindings; build depend on libgda-4.0-dev and create a 
    python-gda package.
  * Remove python-gnome2-extras. The egg.recent module has been 
    deprecated for quite some time. 
  * Pass /usr/share/pygtk to dh_pysupport.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 19:54:39 +0200

gnome-python-extras (2.25.3-2) unstable; urgency=low

  * Drop dependency on python-gnome2-desktop.
  * Standards version is 3.8.1.
  * Split gksu2 and gdl modules in their own packages, to prepare for 
    the removal of the python-gnome2-extras binary.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:48:51 +0200

gnome-python-extras (2.25.3-1) unstable; urgency=low

  * 01_xul19.patch: remove debugging output. Closes: #512099.
  * Split the gtkspell module in python-gtkspell. Closes: #518364.
  * Remove the Provides: since we are not using proper dependencies on 
    python-gtk2.
  * New upstream release, that builds with the gdl version in unstable.
  * 01_xul19.patch: updated for the new version.
  * 03_gdl-icons.patch: removed, merged upstream.
  * 70_autotools.patch: refreshed.
  * Disable gda module building until gda4 is in the archive - nothing 
    in the archive uses it anyway.
  * Also disable gksu 1.X which must die.
  * Add build-dependency on libglade2-dev because of #518970.
  * Explicitly enable docs.
  * Build-depend on xsltproc, docbook-xml and docbook-xsl.
  * Build-depend on python-gtk2-doc so that the cross-references are 
    computed correctly.
  * Remove python-gnome2-extras-doc and ship the docs (which are very 
    small) in the individual packages instead.
  * 03_doc-build.patch: get documentation to build properly.
  * Update list of copyright holders and licenses according to the 
    recent changes.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 15:55:39 +0100

gnome-python-extras (2.19.1-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Only apply 03_gdl-icons.patch if gdl-icons.h does not exist,
    this fixes building the package in Lenny (Closes: #511265).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 22 Jan 2009 14:15:46 +0100

gnome-python-extras (2.19.1-3) unstable; urgency=low

  * 03_gdl-icons.patch: new patch. Fixes build with gdl 2.24 by removing 
    the reference to gdl-icons.h. Closes: #500767.
  * Rebuild against gdl 2.24. Closes: #500526.
  * Standards version is 3.8.0.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Oct 2008 11:21:42 +0200

gnome-python-extras (2.19.1-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Bump xulrunner dependencies to 1.9~rc1.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Jun 2008 23:00:42 +0200

gnome-python-extras (2.19.1-1) experimental; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Deng Xiyue]
  * New upstream development release. Closes: #479768.
    + egg.trayicon is no longer deprecated. Closes: #413187.
  * Update standard version to 3.7.3.
  * Adjust Build-Depends:
    + Build-Depends on libgda3-dev.  (Closes: #455829)
    + Build-Depends on libgksu2-dev.
  * Use machine-interpretable format for debian/copyright, and make it UTF-8
    to silence all lintian warnings.

  [ Josselin Mouette ]
  * Target to experimental; include check-dist.mk.
  * Split the gtkhtml, gtkmozembed and eggtrayicon modules in separate 
    packages. Closes: #376593, #452766.
  * Require python-support 0.7.1 for namespace packages support.
  * Rework descriptions a bit.
  * Switch to quilt for patch handling; build-depend on quilt.
  * 01_xul19.patch: stolen from Ubuntu. Get the gtkmozembed module to 
    build against xulrunner 1.9.
    + Also add missing AC_DEFINE.
  * Move away gtkmozembedmodule.c by hand, the patch doesn't remove it.
  * 02_maintainer_mode.patch: set AM_MAINTAINER_MODE.
  * 70_autotools.patch: run the autotools on top of that.
  * Build-depend on xulrunner-dev 1.9~b5-4 and make python-gtkmozembed 
    depend on xulrunner-1.9 1.9~b5-4. Closes: #480795.
  * Pass --with-gtkmozembed=xulrunner-1.9.
  * Update build-dependencies.
  * Remove dh_python calls and debian/pycompat.

 -- Josselin Mouette <joss@debian.org>  Mon, 12 May 2008 23:40:38 +0200

gnome-python-extras (2.14.3-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Clarify license of each module.
  * New upstream stable release with bug fixes, documentation additions, and
    documentation fixes.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Feb 2007 14:39:58 +0100

gnome-python-extras (2.14.2-1) unstable; urgency=low

  * New upstream releases.
    - Drop 20_xulrunner-configure dpatch, merged upstream.
    - Drop 70_mandatory-relibtoolize, not necessary anymore.

 -- Loic Minier <lool@dooz.org>  Tue,  8 Aug 2006 16:17:27 +0200

gnome-python-extras (2.14.0-3) unstable; urgency=low

  * Add XB-Python-Version to python-gnome2-extras. (Closes: #378228)
  * Add debian/control to the pyversions -r call since it's mandatory, even if
    the man page claims it's optional.

 -- Loic Minier <lool@dooz.org>  Sat,  5 Aug 2006 21:11:32 +0200

gnome-python-extras (2.14.0-2) unstable; urgency=medium

  * Drop obsolete part about being a simple "dependency package" from the
    description, thanks Bart Vanhaute. (Closes: #376367)
  * Install upstream NEWS for python-gnome2-extras. (Closes: #376520)
  * Add a Depends from python-gnome2-extras on python-gnome2-desktop until we
    fix packages to update their dependencies.
    (Closes: #376076, #376129, #376172)
  * Build against xulrunner. (Closes: #364373, #376061, #372534, #372535)
    - New dpatch, 20_xulrunner-configure, to support xulrunner as
      --with-gtkmozembed.
    - New dpatch, 70_mandatory-relibtoolize, to update autotools.
    - Pass --with-gtkmozembed=xulrunner to configure.
    - Drop mozilla-dev build-dep.
    - Drop mozilla-browser dep.
    - Build-Depend on libxul-dev.

 -- Loic Minier <lool@dooz.org>  Tue,  4 Jul 2006 17:08:29 +0200

gnome-python-extras (2.14.0-1) unstable; urgency=low

  [ Marco Cabizza ]
  * New upstream release.
  * Convert the package to the new Python policy:
    (Closes: #373437, #375836, #375847)
    - Build-depend on debhelper 5.0.37.2, python-all-dev 2.3.5-11 and
      python-support 0.3.
    - Update control/control.in
    - pycompat=2, pyversions=2.2-.
    - Reorganise the rules file and create .install files
    - Add ${python:Provides}
  * Build-depend on libgksu1.2-dev, libgksuui1.0-dev, libgda2-dev for the gksu,
    gksu.ui and gda wrappers.

  [ Loic Minier ]
  * Add a Replaces: python2.3-gnome2-extras, python2.4-gnome2-extras too.
  * Merge all dependencies from python2.3-gnome2-extras and
    python2.4-gnome2-extras in the python-gnome2-extras dependencies.
  * Nack 2.12.1-3.1 and 2.12.1-3.2 NMUs.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Jun 2006 23:06:01 +0200

gnome-python-extras (2.12.1-3) unstable; urgency=low

  * Merge NMU patch, thanks Luk Claes, and acknowledge his fix.
    (Closes: #348510)
    [debian/control, debian/control.in]
  * Nack 2.12.1-2.2 NMU which broke the gtkmozembed module and introduced
    serious bugs.
  * Add deps on mozilla-browser, since it has no shlibs; this is until we
    switch to xulrunner. (Closes: #368273)
    [debian/control, debian/control.in]
  * Fix upstream URL -- it's gnome-python-extras, not gnome-python -- and use
    HTTP instead of FTP.
    [debian/copyright]
  * Really ship license block and clarify "Authors" versus "Copyright Holders"
    and "Copyright" versus "License".
    [debian/copyright]
  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri,  9 Jun 2006 16:09:28 +0200

gnome-python-extras (2.12.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make the package binNMU safe by removing the strict dependency of an 
    arch: all package to arch: any packages (Closes: #348510).

 -- Luk Claes <luk@debian.org>  Fri, 27 Jan 2006 16:36:56 +0100

gnome-python-extras (2.12.1-2) unstable; urgency=low

  * Upload to unstable.
  * Depends on new libnautilus-burn2 (closes: #330112, #336458).

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Jan 2006 11:07:55 +0100

gnome-python-extras (2.12.1-1) experimental; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Sun, 30 Oct 2005 16:36:33 +0100

gnome-python-extras (2.12.0-1) experimental; urgency=low

  * New upstream version
  * debian/control.in:
  - added libgdl-1-dev to Build-Depends so that the gdl module will
    be built
  - new package python-gnome2-extras-doc to hold gtk-doc documentation

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 10 Oct 2005 14:34:56 -0300

gnome-python-extras (2.10.2-1) unstable; urgency=low

  * New upstream version
  - fixes segfault on amd64 - the proposed fix has been applied
    upstream (Closes: #327420)
  - does not contain implicitely converted pointers on my local
    build log (Closes: #317047)
  * debian/control.in, debian/rules, debian/python{2.3,}-gnome2-extras.examples:
  - build and provide python2.4 versions for the packages
  - the examples go to the generic package
  - updated build-deps according to configure.ac requirements
  * debian/patches/02_applet.override.dpatch, debian/patches/01_gcc4.dpatch:
  - removed, fixes applied upstream
  * debian/control.in:
  - added Build-Dependency on python2.4-dev
  - updated Standards-Version to 3.6.2 with no changes
  - actually add Uploaders field

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 10 Oct 2005 09:05:57 -0300

gnome-python-extras (2.10.0-3) unstable; urgency=low

  * debian/control.in:
    - fixed some Depends.
  * debian/patches/01_gcc4.patch:
    - patch from Andreas Jochens <aj@andaco.de> to fix the build with gcc4
      (Closes: #314928).
  * debian/patches/02_applet.override.patch:
    - upstream fix pointed by Joachim Breitner <nomeata@debian.org>
      (Closes: #314591).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 20 Jun 2005 11:31:48 +0200

gnome-python-extras (2.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 14 Jun 2005 17:13:18 +0200

gnome-python-extras (2.10.0-1) experimental; urgency=low

  * Initial upload.
  * Package taken from Ubuntu, Sebastien remains as Maintainer.
  * debian/control.in, debian/rules: adapt for python2.3 and make it a
    GNOME team package.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 Apr 2005 19:25:25 +0200
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com